<?php 
$haveHome = false;
$wapl = new WordPressWapl;
if(function_exists('wp_page_menu'))
{
	$pagesArray = preg_split('/<li(.*?)>/', wp_page_menu(array('echo' => false, 'show_home' => true)));
	$haveHome = true;
} else if(function_exists('wp_list_pages'))
{
	$pagesArray = preg_split('/<li(.*?)>/', wp_list_pages('echo=0&show_home=1'));
}

$string = '';
$string .= $wapl->rowStart(array('row' => false, 'cell' => false, 'id' => 'nav'));

if($haveHome == false)
{
	$string .= $wapl->link(array('row' => false, 'url' => get_option('home'), 'label' => 'Home'));
}

foreach($pagesArray as $val)
{
	preg_match_all('/<a(.*?)href="(.*?)"(.*?)>(.*?)<\/a>/is', $val, $matches);
	
	if(isset($matches[2][0]) && $matches[2][0] != '')
	{
		$string .= $wapl->link(array('row' => false, 'url' => $matches[2][0], 'label' => $matches[4][0]));
	}
}

$string .= $wapl->rowEnd(array('row' => false, 'cell' => false));
return $string;
?>